Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

## Hierarchy For Package org.opengis.feature.simple

Package Hierarchies:
  All Packages

## Interface Hierarchy

- Property
  - Attribute
    - BooleanAttribute
    - BoundingBoxAttribute
    - ComplexAttribute
      - Feature
        - FeatureCollection
          - SimpleFeatureCollection
        - SimpleFeature
    - NumericAttribute
    - TemporalAttribute
    - TextAttribute
- PropertyType
  - AttributeType
    - ComplexType
      - FeatureType
        - FeatureCollectionType
          - SimpleFeatureCollectionType (also extends SimpleFeatureType)
        - SimpleFeatureType
          - SimpleFeatureCollectionType (also extends FeatureCollectionType)
- SimpleFeatureFactory
- SimpleTypeFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.